package com.tenlionsoft.oamodule.beans;

import com.contrarywind.interfaces.IPickerViewData;

/**
 * 作者: adam
 * 日期: 2022/4/11 - 2:50 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class DocTypeBean implements IPickerViewData {

    private String addRole;
    private String code;
    private String creator;
    private String delRole;
    private String editRole;
    private String fileTypeId;
    private String gmtCreate;
    private String gmtModified;
    private int isDelete;
    private String modifier;
    private String remake;
    private String shareRole;
    private String typeBelong;
    private String typeName;

    public String getAddRole() {
        return addRole;
    }

    public void setAddRole(String addRole) {
        this.addRole = addRole;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getDelRole() {
        return delRole;
    }

    public void setDelRole(String delRole) {
        this.delRole = delRole;
    }

    public String getEditRole() {
        return editRole;
    }

    public void setEditRole(String editRole) {
        this.editRole = editRole;
    }

    public String getFileTypeId() {
        return fileTypeId;
    }

    public void setFileTypeId(String fileTypeId) {
        this.fileTypeId = fileTypeId;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }

    public String getShareRole() {
        return shareRole;
    }

    public void setShareRole(String shareRole) {
        this.shareRole = shareRole;
    }

    public String getTypeBelong() {
        return typeBelong;
    }

    public void setTypeBelong(String typeBelong) {
        this.typeBelong = typeBelong;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Override
    public String getPickerViewText() {
        return typeName;
    }
}
